# Retrieves a list of notifications GET https://app.unleash-instance.example.com/api/admin/notifications **Enterprise feature** A user may get relevant notifications from the projects they are a member of Reference: https://docs.getunleash.io/api/get-notifications ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Retrieves a list of notifications version: endpoint_notifications.getNotifications paths: /api/admin/notifications: get: operationId: get-notifications summary: Retrieves a list of notifications description: >- **Enterprise feature** A user may get relevant notifications from the projects they are a member of tags: - - subpackage_notifications parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: notificationsSchema content: application/json: schema: $ref: '#/components/schemas/notificationsSchema' components: schemas: NotificationsSchemaItemsNotificationType: type: string enum: - value: change-request - value: toggle NotificationsSchemaItemsCreatedBy: type: object properties: username: type: - string - 'null' description: The name of the user who triggered the notification imageUrl: type: - string - 'null' description: The avatar url of the user who triggered the notification NotificationsSchemaItems: type: object properties: id: type: number format: double description: The id of this notification message: type: string description: The actual notification message link: type: string description: >- The link to change request or feature flag the notification refers to notificationType: $ref: '#/components/schemas/NotificationsSchemaItemsNotificationType' description: The type of the notification used e.g. for the graphical hints createdBy: $ref: '#/components/schemas/NotificationsSchemaItemsCreatedBy' createdAt: type: string format: date-time description: The date and time when the notification was created readAt: type: - string - 'null' format: date-time description: >- The date and time when the notification was read or marked as read, otherwise `null` required: - id - message - link - notificationType - createdBy - createdAt - readAt notificationsSchema: type: array items: $ref: '#/components/schemas/NotificationsSchemaItems' ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/notifications" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/notifications'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/notifications" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/notifications") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/notifications") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/notifications', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/notifications"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/notifications")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```